package ma.game;

import java.awt.*;

public class TShellGameFrame extends Frame
{
	public TShellGameFrame(String title,TGame game,int width,int height)
	{
		super(title);
		resize(width,height);
		setResizable(false);
			
		// Centramos el Frame.
		Dimension d = getToolkit().getScreenSize();
    Rectangle d1 = bounds();    	
    move((d.width - d1.width)/2,(d.height - d1.height)/2);    	
    // Fin del Centrado.
		
		// Incluimos el TBuzzitGame.
		add(game);
		show();			
		game.init();
	}
	
	public boolean handleEvent(Event evt)
	{
		if (evt.id == Event.WINDOW_DESTROY)
		{
			this.dispose();
			System.exit(0);
			return true;
		}
		return super.handleEvent(evt);
	}
}