import ma.game.*;

import java.awt.*;
import java.applet.Applet;
import java.util.Vector;
import java.util.Date;

// Clase TAbuGame.

public class TAbuGame extends TGame 
{	  
		Label _ldebug = new Label("");
		static boolean _debug_ = false;
    Image i_imgCargando=null;
	
		// Este mtodo lo invoca el applet al arrancarse por primera vez.
		//
    public void init()
    {
    		// Teclas por defecto
    	  i_Teclas[0][0] = 'p'; // Derecha
				i_Teclas[1][0] = 'o'; // Izquierda
				i_Teclas[2][0] = 'q'; // Arriba
				i_Teclas[3][0] = 'a'; // Abajo
				i_Teclas[4][0] = 27;  // Abortar

    	  // Path del Juego.
  		  is_gamePath = "./data";
        
        // Esperamos cargar el texto de Cargando...
        getTracker().Reset();
        i_imgCargando = LoadImage("pics/Cargando.gif");
        getTracker().AddWaitImage(i_imgCargando);
        getTracker().WaitImages();

    		if (_debug_) 
	    	{
	    	  add(_ldebug,"North");
	    		_ldebug.setText("Depuracin...");
	    	}
    	
    		// Establecemos la clase inicial.
    		setStartClass("TPresentacion");
    
        i_gameCanvas.init(createImage(320,200));  
        i_gameCanvas.setSurfaceBackground(new Color(0,0,0));
    	    	
    		if (i_Thread==null)	
	    	{
	    	  i_Thread = new Thread(this);
	    		startClass();
	    		i_Thread.start();
	    	}
    	
    } 
	
		// Mientras cargan las fases, mostramos un texto..
		//
		public void drawLoading(Graphics g)
		{
			g.clearRect(0,0,320,200);
			g.drawImage(i_imgCargando,60,50,null);
		}

		// ----------------------------------------------
		// Ejecucin desde la Shell..
		// ----------------------------------------------
		//
		public static void main(String arg[])
		{
			TAbuGame miGame = new TAbuGame();
			new TShellGameFrame("Profanation",new TAbuGame(),330,230);
		}
	
} // End of Class 