package ma.game;

import java.awt.MediaTracker;
import java.awt.Image;

import ma.game.*;

public class TImageTracker 
{
		public static TGame maGame;
		
		protected int i_MediaCounter = 0;	
		protected MediaTracker i_tracker;
		
		// Constructor.
		//
		public TImageTracker()
		{
			Reset();
		}
	
		// Reinicia la lista de sincronizacin de imagenes.
		//
		public void Reset()
		{
			i_MediaCounter=0;
			i_tracker = new MediaTracker(maGame);
		}
			
		// Aade una imagen a la lista de sincronizador
		// de carga de imagen..
		//
		public Image AddWaitImage(Image G)
		{
			if (i_tracker==null) Reset();
			i_tracker.addImage(G,i_MediaCounter++);
			return G;
		}
	
		// Espera a que cargen todas las imagenes en la lista
		// de sincronizacin.
		//
		public boolean WaitImages()
		{
			try 
			{
				i_tracker.waitForAll();
			}
			catch (Exception E) 
			{ 
				return false;
			}
			
			Reset();
			return true;
		}
  	
}